LibreOffice: StartModule Service Reference

LibreOffice LibreOffice 6.0 SDK API Reference

Public Member Functions | List of all members
StartModule Service Reference

`import"StartModule.idl";`

Inheritance diagram for StartModule:

## Public Member Functions
| createWithParentWindow ([in] com::sun::star::awt::XWindow ContainerWindow)
Public Member Functions inherited from XController
void | attachFrame ([in] XFrame Frame)
| is called to attach the controller with its managing frame. More...
boolean | attachModel ([in] XModel Model)
| is called to attach the controller to a new model. More...
boolean | suspend ([in] boolean Suspend)
| is called to prepare the controller for closing the view More...
any | getViewData ()
| provides access to current view status More...
void | restoreViewData ([in] any Data)
| restores the view status using the data gotten from a previous call to XController::getViewData(). More...
XModel | getModel ()
| provides access to currently attached model More...
XFrame | getFrame ()
| provides access to owner frame of this controller More...
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Since
  LibreOffice 4.1

## Member Function Documentation

## ◆ createWithParentWindow()

createWithParentWindow | ( | [in] com::sun::star::awt::XWindow | ContainerWindow | ) |

The documentation for this service was generated from the following file:

- com/sun/star/frame/StartModule.idl